#!/bin/ksh
###############################################################################
#
# Licensed Materials - Property of IBM
# IBM DB2 Net Search Extender Version 8.1
# Product Number 5765-F38
# (c ) Copyright IBM Corp. 1998, 2002.  All Rights Reserved.
# US Government Users Restricted Rights -
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corporation
#
###############################################################################
#
#***********************************************************************
# Program name  : nsesetup.sh                                          *
#
#                                                                      *
# Description   : Prepare environment and run the installation program *
#                                                                      *
#               Linux                                                  *
#***********************************************************************

if [[ -a /tmp/db2nseinst$$.log ]] then
    /bin/rm /tmp/db2nseinst$$.log
fi
#

#-----------------------------------------------------------------------
#  Call the License acceptance program:
#-----------------------------------------------------------------------
./JRE_HOME/jre/bin/java  -cp ./LAP_HOME/lapapp.jar:./JRE_HOME/jre/lib/rt.jar:./JRE_HOME/jre/lib/i18n.jar com.ibm.lex.lapapp.LAP -l ./LA_HOME -s /opt/IBM/db2/V8.1/db2ext    -text_only

ReturnCode=$?
#-----------------------------------------------------------------------
#  Depending on the Return Code, act appropriately ...
#-----------------------------------------------------------------------

if [ $ReturnCode  =  9 ]
        then
         echo " ....................."


         #--------------------------------------------------------------------
         #  Install DB2 Net Search Extender
         #--------------------------------------------------------------------

         rpm -ivh IBM_db2nse82-8.2-2.i386.rpm  1>> /tmp/db2nseinst$$.log 2>&1

         #---------------------------------------------------------------------
         # Convert the "try-and-buy" license to a "permanent" license
         #---------------------------------------------------------------------
         if [[ -e ../license/db2nse.lic  ]] then
             /opt/IBM/db2/V8.1/adm/db2licm  -a    ../license/db2nse.lic
         fi

	#----------------------------------------------------------------------
	#Copy release.txt
	#----------------------------------------------------------------------
        if [[ -e ../release.txt ]] then
           cp ../release.txt /opt/IBM/db2/V8.1/doc/db2ext/release.txt
        fi

         #---------------------------------------------------------------------

         #---------------------------------------------------------------------
         #  Display the LOG file
         #---------------------------------------------------------------------
         echo " "
         echo "----------------------------------- "
         echo "****** " /tmp/db2nseinst$$.log
         echo "----------------------------------- "
         /bin/cat  /tmp/db2nseinst$$.log

        exit 0

else

         #echo "\n**********************************************************"
         #echo "* Installation cancelled. (License not accepted)                          *"
         #echo "**********************************************************\n"
         exit 1
fi
