
------------------------------------------------------------------------
--  IBM*                                                                  
--  Licensed Materials - Property of IBM                                  
--  5765-F38                                                              
--  (C) Copyright IBM Corporation 2001,2003                               
--  All rights reserved.                                                  
--                                                                        
-- * Trademark of International Business Machines                         
------------------------------------------------------------------------

--**********************************************************************
--**********************************************************************
--**
--**  Product Name:      DB2 Net Search Extender
--**
--**  Source File Name:  ctedlctr.ddl
--**
--**  Description:       The trigger ensures that only one column
--**			 (one proxy server) is stored in this table
--**
--**  Status:            Version 8.1.2
--**
--**********************************************************************
--**********************************************************************

--*---------------------------------------------------------------------
--* create a trigger for 'proxy information' table
--*---------------------------------------------------------------------
CREATE TRIGGER DB2EXT.PROXYTRIGGER 
       NO CASCADE BEFORE INSERT ON DB2EXT.PROXYINFORMATION 
       FOR EACH ROW MODE DB2SQL 
       WHEN ((SELECT COUNT(*) FROM DB2EXT.PROXYINFORMATION) > 0)
            SIGNAL SQLSTATE '38999' ('Only one Proxy entry allowed');

------------------------------------------------------------------------

